---
title: Node.baseURI
slug: Web/API/Node/baseURI
tags:
  - API
  - HTML
  - NeedsSpecTable
  - Node
  - Property
  - Read-only
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>baseURI</strong></code> read-only property returns the absolute base URL of a {{domxref("Node")}}.</p>

<p>The base URL is used to resolve relative URLs when the browser needs to obtain an absolute URL, for example when processing the HTML {{HTMLElement("img")}} element's <code>src</code> attribute or XML <code>{{glossary("xlink")}}:href</code> attribute.</p>

<p>In most cases the base URL is the location of the document, but it can be affected by many factors, including the {{HTMLElement("base")}} element in HTML and the <code><a href="/en-US/docs/XML/xml:base">xml:base</a></code> attribute in XML.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>nodeBaseURI</em> = <em>node</em>.baseURI;
</pre>

<h3 id="Value">Value</h3>

<p>A {{ domxref("DOMString") }} representing the base URL of the specified {{domxref("Node")}}. It may be <code>null</code> if unable to obtain an absolute URI. Although this property is read-only, its value may change in certain situations (see below).</p>

<h2 id="Details">Details</h2>

<h3 id="The_base_URL_of_a_document">The base URL of a document</h3>

<p>The base URL of a <em>document</em> defaults to the document's address (as displayed by the browser and available in {{domxref("window.location")}}), but it can be changed:</p>

<ul>
 <li>When an HTML {{HTMLElement("base")}} tag is found in the document</li>
 <li>When the document is new (created dynamically)</li>
</ul>

<p>See the <a href="http://developers.whatwg.org/urls.html#base-urls">Base URLs section of the HTML Living standard</a> for details.</p>

<p>You can use <code>{{domxref("document")}}.baseURI</code> to obtain the base URL of a document. Note that obtaining the base URL for a document may return different URLs over time if the {{HTMLElement("base")}} tags or the document's location change.</p>

<h3 id="The_base_URL_of_an_element">The base URL of an element</h3>

<p>The base URL of an <em>element</em> in HTML normally equals the base URL of the document the node is in.</p>

<p>If the document contains <code><a href="/en-US/docs/XML/xml:base">xml:base</a></code> attributes (which you shouldn't do in HTML documents), the <code><em>element</em>.baseURI</code> takes the <code>xml:base</code> attributes of element's parents into account when computing the base URL. See <a href="/en-US/docs/XML/xml:base">xml:base</a> for details.</p>

<p>You can use <code>{{domxref("element")}}.baseURI</code> to obtain the base URL of an element.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-node-baseuri', 'Node: baseURI')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Node.baseURI")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTMLElement("base")}} element (HTML)</li>
 <li><code><a href="/en-US/docs/XML/xml:base">xml:base</a></code> attribute (XML documents).</li>
 <li>{{domxref("Node.baseURIObject")}} - a variant of this API for Mozilla add-ons and internal code. Returns the base URL as an {{interface("nsIURI")}}.</li>
</ul>
